struct Atom
    number::Int
    distribution::Array{String, 1}
end

function getatom(symbol)
    periodictable = Dict(
        "H"  => Atom(1,   ["1s"]),
        "He" => Atom(2,   ["1s"]),
        "Li" => Atom(3,   ["1s", "2s"]),
        "Be" => Atom(4,   ["1s", "2s"]),
        "B"  => Atom(5,   ["1s", "2s", "2p"]),
        "C"  => Atom(6,   ["1s", "2s", "2p"]),
        "N"  => Atom(7,   ["1s", "2s", "2p"]),
        "O"  => Atom(8,   ["1s", "2s", "2p"]),
        "F"  => Atom(9,   ["1s", "2s", "2p"]),
        "Ne" => Atom(10,  ["1s", "2s", "2p"]),
        "Na" => Atom(11,  ["1s", "2s", "2p", "3s"]),
        "Mg" => Atom(12,  ["1s", "2s", "2p", "3s"]),
        "Al" => Atom(13,  ["1s", "2s", "2p", "3s", "3p"]),
        "Si" => Atom(14,  ["1s", "2s", "2p", "3s", "3p"]),
        "P"  => Atom(15,  ["1s", "2s", "2p", "3s", "3p"]),
        "S"  => Atom(16,  ["1s", "2s", "2p", "3s", "3p"]),
        "Cl" => Atom(17,  ["1s", "2s", "2p", "3s", "3p"]),
        "Ar" => Atom(18,  ["1s", "2s", "2p", "3s", "3p"]),
        "K"  => Atom(19,  ["1s", "2s", "2p", "3s", "3p", "4s"]),
        "Ca" => Atom(20,  ["1s", "2s", "2p", "3s", "3p", "4s"]),
        "Sc" => Atom(21,  ["1s", "2s", "2p", "3s", "3p", "3d", "4s"]),
        "Ti" => Atom(22,  ["1s", "2s", "2p", "3s", "3p", "3d", "4s"]),
        "V"  => Atom(23,  ["1s", "2s", "2p", "3s", "3p", "3d", "4s"]),
        "Cr" => Atom(24,  ["1s", "2s", "2p", "3s", "3p", "3d", "4s"]),
        "Mn" => Atom(25,  ["1s", "2s", "2p", "3s", "3p", "3d", "4s"]),
        "Fe" => Atom(26,  ["1s", "2s", "2p", "3s", "3p", "3d", "4s"]),
        "Co" => Atom(27,  ["1s", "2s", "2p", "3s", "3p", "3d", "4s"]),
        "Ni" => Atom(28,  ["1s", "2s", "2p", "3s", "3p", "3d", "4s"]),
        "Cu" => Atom(29,  ["1s", "2s", "2p", "3s", "3p", "3d", "4s"]),
        "Zn" => Atom(30,  ["1s", "2s", "2p", "3s", "3p", "3d", "4s"]),
        "Ga" => Atom(31,  ["1s", "2s", "2p", "3s", "3p", "3d", "4s", "4p"]),
        "Ge" => Atom(32,  ["1s", "2s", "2p", "3s", "3p", "3d", "4s", "4p"]),
        "As" => Atom(33,  ["1s", "2s", "2p", "3s", "3p", "3d", "4s", "4p"]),
        "Se" => Atom(34,  ["1s", "2s", "2p", "3s", "3p", "3d", "4s", "4p"]),
        "Br" => Atom(35,  ["1s", "2s", "2p", "3s", "3p", "3d", "4s", "4p"]),
        "Kr" => Atom(36,  ["1s", "2s", "2p", "3s", "3p", "3d", "4s", "4p"]),
        "Rb" => Atom(37,  ["1s", "2s", "2p", "3s", "3p", "3d", "4s", "4p", "5s"]),
        "Sr" => Atom(38,  ["1s", "2s", "2p", "3s", "3p", "3d", "4s", "4p", "5s"]),
        "Y"  => Atom(39,  ["1s", "2s", "2p", "3s", "3p", "3d", "4s", "4p", "4d", "5s"]),
        "Zr" => Atom(40,  ["1s", "2s", "2p", "3s", "3p", "3d", "4s", "4p", "4d", "5s"]),
        "Nb" => Atom(41,  ["1s", "2s", "2p", "3s", "3p", "3d", "4s", "4p", "4d", "5s"]),
        "Mo" => Atom(42,  ["1s", "2s", "2p", "3s", "3p", "3d", "4s", "4p", "4d", "5s"]),
        "Tc" => Atom(43,  ["1s", "2s", "2p", "3s", "3p", "3d", "4s", "4p", "4d", "5s"]),
        "Ru" => Atom(44,  ["1s", "2s", "2p", "3s", "3p", "3d", "4s", "4p", "4d", "5s"]),
        "Rh" => Atom(45,  ["1s", "2s", "2p", "3s", "3p", "3d", "4s", "4p", "4d", "5s"]),
        "Pd" => Atom(46,  ["1s", "2s", "2p", "3s", "3p", "3d", "4s", "4p", "4d", "5s"]),
        "Ag" => Atom(47,  ["1s", "2s", "2p", "3s", "3p", "3d", "4s", "4p", "4d", "5s"]),
        "Cd" => Atom(48,  ["1s", "2s", "2p", "3s", "3p", "3d", "4s", "4p", "4d", "5s"]),
        "In" => Atom(49,  ["1s", "2s", "2p", "3s", "3p", "3d", "4s", "4p", "4d", "5s", "5p"]),
        "Sn" => Atom(50,  ["1s", "2s", "2p", "3s", "3p", "3d", "4s", "4p", "4d", "5s", "5p"]),
        "Sb" => Atom(51,  ["1s", "2s", "2p", "3s", "3p", "3d", "4s", "4p", "4d", "5s", "5p"]),
        "Te" => Atom(52,  ["1s", "2s", "2p", "3s", "3p", "3d", "4s", "4p", "4d", "5s", "5p"]),
        "I"  => Atom(53,  ["1s", "2s", "2p", "3s", "3p", "3d", "4s", "4p", "4d", "5s", "5p"]),
        "Xe" => Atom(54,  ["1s", "2s", "2p", "3s", "3p", "3d", "4s", "4p", "4d", "5s", "5p"]),
        "Cs" => Atom(55,  ["1s", "2s", "2p", "3s", "3p", "3d", "4s", "4p", "4d", "5s", "5p", "6s"]),
        "Ba" => Atom(56,  ["1s", "2s", "2p", "3s", "3p", "3d", "4s", "4p", "4d", "5s", "5p", "6s"]),
        "La" => Atom(57,  ["1s", "2s", "2p", "3s", "3p", "3d", "4s", "4p", "4d", "4f", "5s", "5p", "6s"]),
        "Ce" => Atom(58,  ["1s", "2s", "2p", "3s", "3p", "3d", "4s", "4p", "4d", "4f", "5s", "5p", "6s"]),
        "Pr" => Atom(59,  ["1s", "2s", "2p", "3s", "3p", "3d", "4s", "4p", "4d", "4f", "5s", "5p", "6s"]),
        "Nd" => Atom(60,  ["1s", "2s", "2p", "3s", "3p", "3d", "4s", "4p", "4d", "4f", "5s", "5p", "6s"]),
        "Pm" => Atom(61,  ["1s", "2s", "2p", "3s", "3p", "3d", "4s", "4p", "4d", "4f", "5s", "5p", "6s"]),
        "Sm" => Atom(62,  ["1s", "2s", "2p", "3s", "3p", "3d", "4s", "4p", "4d", "4f", "5s", "5p", "6s"]),
        "Eu" => Atom(63,  ["1s", "2s", "2p", "3s", "3p", "3d", "4s", "4p", "4d", "4f", "5s", "5p", "6s"]),
        "Gd" => Atom(64,  ["1s", "2s", "2p", "3s", "3p", "3d", "4s", "4p", "4d", "4f", "5s", "5p", "6s"]),
        "Tb" => Atom(65,  ["1s", "2s", "2p", "3s", "3p", "3d", "4s", "4p", "4d", "4f", "5s", "5p", "6s"]),
        "Dy" => Atom(66,  ["1s", "2s", "2p", "3s", "3p", "3d", "4s", "4p", "4d", "4f", "5s", "5p", "6s"]),
        "Ho" => Atom(67,  ["1s", "2s", "2p", "3s", "3p", "3d", "4s", "4p", "4d", "4f", "5s", "5p", "6s"]),
        "Er" => Atom(68,  ["1s", "2s", "2p", "3s", "3p", "3d", "4s", "4p", "4d", "4f", "5s", "5p", "6s"]),
        "Tm" => Atom(69,  ["1s", "2s", "2p", "3s", "3p", "3d", "4s", "4p", "4d", "4f", "5s", "5p", "6s"]),
        "Yb" => Atom(70,  ["1s", "2s", "2p", "3s", "3p", "3d", "4s", "4p", "4d", "4f", "5s", "5p", "6s"]),
        "Lu" => Atom(71,  ["1s", "2s", "2p", "3s", "3p", "3d", "4s", "4p", "4d", "4f", "5s", "5p", "5d", "6s"]),
        "Hf" => Atom(72,  ["1s", "2s", "2p", "3s", "3p", "3d", "4s", "4p", "4d", "4f", "5s", "5p", "5d", "6s"]),
        "Ta" => Atom(73,  ["1s", "2s", "2p", "3s", "3p", "3d", "4s", "4p", "4d", "4f", "5s", "5p", "5d", "6s"]),
        "W"  => Atom(74,  ["1s", "2s", "2p", "3s", "3p", "3d", "4s", "4p", "4d", "4f", "5s", "5p", "5d", "6s"]),
        "Re" => Atom(75,  ["1s", "2s", "2p", "3s", "3p", "3d", "4s", "4p", "4d", "4f", "5s", "5p", "5d", "6s"]),
        "Os" => Atom(76,  ["1s", "2s", "2p", "3s", "3p", "3d", "4s", "4p", "4d", "4f", "5s", "5p", "5d", "6s"]),
        "Ir" => Atom(77,  ["1s", "2s", "2p", "3s", "3p", "3d", "4s", "4p", "4d", "4f", "5s", "5p", "5d", "6s"]),
        "Pt" => Atom(78,  ["1s", "2s", "2p", "3s", "3p", "3d", "4s", "4p", "4d", "4f", "5s", "5p", "5d", "6s"]),
        "Au" => Atom(79,  ["1s", "2s", "2p", "3s", "3p", "3d", "4s", "4p", "4d", "4f", "5s", "5p", "5d", "6s"]),
        "Hg" => Atom(80,  ["1s", "2s", "2p", "3s", "3p", "3d", "4s", "4p", "4d", "4f", "5s", "5p", "5d", "6s"]),
        "Tl" => Atom(81,  ["1s", "2s", "2p", "3s", "3p", "3d", "4s", "4p", "4d", "4f", "5s", "5p", "5d", "6s", "6p"]),
        "Pb" => Atom(82,  ["1s", "2s", "2p", "3s", "3p", "3d", "4s", "4p", "4d", "4f", "5s", "5p", "5d", "6s", "6p"]),
        "Bi" => Atom(83,  ["1s", "2s", "2p", "3s", "3p", "3d", "4s", "4p", "4d", "4f", "5s", "5p", "5d", "6s", "6p"]),
        "Po" => Atom(84,  ["1s", "2s", "2p", "3s", "3p", "3d", "4s", "4p", "4d", "4f", "5s", "5p", "5d", "6s", "6p"]),
        "At" => Atom(85,  ["1s", "2s", "2p", "3s", "3p", "3d", "4s", "4p", "4d", "4f", "5s", "5p", "5d", "6s", "6p"]),
        "Rn" => Atom(86,  ["1s", "2s", "2p", "3s", "3p", "3d", "4s", "4p", "4d", "4f", "5s", "5p", "5d", "6s", "6p"]),
        "Fr" => Atom(87,  ["1s", "2s", "2p", "3s", "3p", "3d", "4s", "4p", "4d", "4f", "5s", "5p", "5d", "6s", "6p", "7s"]),
        "Ra" => Atom(88,  ["1s", "2s", "2p", "3s", "3p", "3d", "4s", "4p", "4d", "4f", "5s", "5p", "5d", "6s", "6p", "7s"]),
        "Ac" => Atom(89,  ["1s", "2s", "2p", "3s", "3p", "3d", "4s", "4p", "4d", "4f", "5s", "5p", "5d", "6s", "6p", "6d", "7s"]),
        "Th" => Atom(90,  ["1s", "2s", "2p", "3s", "3p", "3d", "4s", "4p", "4d", "4f", "5s", "5p", "5d", "6s", "6p", "6d", "7s"]),
        "Pa" => Atom(91,  ["1s", "2s", "2p", "3s", "3p", "3d", "4s", "4p", "4d", "4f", "5s", "5p", "5d", "6s", "6p", "6d", "7s"]),
        "U"  => Atom(92,  ["1s", "2s", "2p", "3s", "3p", "3d", "4s", "4p", "4d", "4f", "5s", "5p", "5d", "6s", "6p", "6d", "7s"]),
        "Np" => Atom(93,  ["1s", "2s", "2p", "3s", "3p", "3d", "4s", "4p", "4d", "4f", "5s", "5p", "5d", "6s", "6p", "6d", "7s"]),
        "Pu" => Atom(94,  ["1s", "2s", "2p", "3s", "3p", "3d", "4s", "4p", "4d", "4f", "5s", "5p", "5d", "6s", "6p", "6d", "7s"]),
        "Am" => Atom(95,  ["1s", "2s", "2p", "3s", "3p", "3d", "4s", "4p", "4d", "4f", "5s", "5p", "5d", "6s", "6p", "6d", "7s"]),
        "Cm" => Atom(96,  ["1s", "2s", "2p", "3s", "3p", "3d", "4s", "4p", "4d", "4f", "5s", "5p", "5d", "6s", "6p", "6d", "7s"]),
        "Bk" => Atom(97,  ["1s", "2s", "2p", "3s", "3p", "3d", "4s", "4p", "4d", "4f", "5s", "5p", "5d", "6s", "6p", "6d", "7s"]),
        "Cf" => Atom(98,  ["1s", "2s", "2p", "3s", "3p", "3d", "4s", "4p", "4d", "4f", "5s", "5p", "5d", "6s", "6p", "6d", "7s"]),
        "Es" => Atom(99,  ["1s", "2s", "2p", "3s", "3p", "3d", "4s", "4p", "4d", "4f", "5s", "5p", "5d", "6s", "6p", "6d", "7s"]),
        "Fm" => Atom(100, ["1s", "2s", "2p", "3s", "3p", "3d", "4s", "4p", "4d", "4f", "5s", "5p", "5d", "6s", "6p", "6d", "7s"]),
        "Md" => Atom(101, ["1s", "2s", "2p", "3s", "3p", "3d", "4s", "4p", "4d", "4f", "5s", "5p", "5d", "6s", "6p", "6d", "7s"]),
        "No" => Atom(102, ["1s", "2s", "2p", "3s", "3p", "3d", "4s", "4p", "4d", "4f", "5s", "5p", "5d", "6s", "6p", "6d", "7s"]),
        "Lr" => Atom(103, ["1s", "2s", "2p", "3s", "3p", "3d", "4s", "4p", "4d", "4f", "5s", "5p", "5d", "6s", "6p", "6d", "7s"]),
        "Rf" => Atom(104, ["1s", "2s", "2p", "3s", "3p", "3d", "4s", "4p", "4d", "4f", "5s", "5p", "5d", "6s", "6p", "6d", "7s"]),
        "Db" => Atom(105, ["1s", "2s", "2p", "3s", "3p", "3d", "4s", "4p", "4d", "4f", "5s", "5p", "5d", "6s", "6p", "6d", "7s"]),
        "Sg" => Atom(106, ["1s", "2s", "2p", "3s", "3p", "3d", "4s", "4p", "4d", "4f", "5s", "5p", "5d", "6s", "6p", "6d", "7s"]),
        "Bh" => Atom(107, ["1s", "2s", "2p", "3s", "3p", "3d", "4s", "4p", "4d", "4f", "5s", "5p", "5d", "6s", "6p", "6d", "7s"]),
        "Hs" => Atom(108, ["1s", "2s", "2p", "3s", "3p", "3d", "4s", "4p", "4d", "4f", "5s", "5p", "5d", "6s", "6p", "6d", "7s"]),
        "Mt" => Atom(109, ["1s", "2s", "2p", "3s", "3p", "3d", "4s", "4p", "4d", "4f", "5s", "5p", "5d", "6s", "6p", "6d", "7s"]),
        "Ds" => Atom(110, ["1s", "2s", "2p", "3s", "3p", "3d", "4s", "4p", "4d", "4f", "5s", "5p", "5d", "6s", "6p", "6d", "7s"]),
        "Rg" => Atom(111, ["1s", "2s", "2p", "3s", "3p", "3d", "4s", "4p", "4d", "4f", "5s", "5p", "5d", "6s", "6p", "6d", "7s"]),
        "Cn" => Atom(112, ["1s", "2s", "2p", "3s", "3p", "3d", "4s", "4p", "4d", "4f", "5s", "5p", "5d", "6s", "6p", "6d", "7s"]),
        "Nh" => Atom(113, ["1s", "2s", "2p", "3s", "3p", "3d", "4s", "4p", "4d", "4f", "5s", "5p", "5d", "6s", "6p", "6d", "7s", "7p"]),
        "Fl" => Atom(114, ["1s", "2s", "2p", "3s", "3p", "3d", "4s", "4p", "4d", "4f", "5s", "5p", "5d", "6s", "6p", "6d", "7s", "7p"]),
        "Mc" => Atom(115, ["1s", "2s", "2p", "3s", "3p", "3d", "4s", "4p", "4d", "4f", "5s", "5p", "5d", "6s", "6p", "6d", "7s", "7p"]),
        "Lv" => Atom(116, ["1s", "2s", "2p", "3s", "3p", "3d", "4s", "4p", "4d", "4f", "5s", "5p", "5d", "6s", "6p", "6d", "7s", "7p"]),
        "Ts" => Atom(117, ["1s", "2s", "2p", "3s", "3p", "3d", "4s", "4p", "4d", "4f", "5s", "5p", "5d", "6s", "6p", "6d", "7s", "7p"]),
        "Og" => Atom(118, ["1s", "2s", "2p", "3s", "3p", "3d", "4s", "4p", "4d", "4f", "5s", "5p", "5d", "6s", "6p", "6d", "7s", "7p"])
    )
    symbols = keys(periodictable)
    if symbol in symbols
        return periodictable[symbol]
    else
        error("Symbol not found in the periodic table. Check spelling and capitalization.")
    end
end